Subject: Re: bug#39188: 28.0.50; w32 cursor redisplay problem

From: Eli Zaretskii <[email-masked]>
Date: Sun, 19 Jan 2020 17:22:31 +0200

> From: Fabrice Popineau <[email-masked]>
> Date: Sun, 19 Jan 2020 10:17:01 +0100
> 
> With the current master (and for a couple of months), I observe this redisplay problem where moving the
> cursor up or down, when the buffer is scrolled, the cursor may leave some ghost trace. This is with
> w32-use-visible-system-caret set to t. It seems the problem does not happen if this variable is set to nil.

Please show a reproduction recipe starting from "emacs -Q".  Your
image seems to show a trace on every line, which is not what I see
here.  What I see here is 2 artefacts: one in the middle of the
window, another at its beginning, and this problem seems to have
started with Emacs 25.1, not a few months ago.